---
title: "Delta Chat"
date: 2023-01-11T17:15:31+03:00
description: >
  E-mail-based messenger with end-to-end encryption
---

Messengers like Telegram, Signal and Whatsapp cannot be private because of peculiarity their architecture - centralization. And peer-to-peer (p2p) services like tox consume too many resources and are inconvenient to use on a mobile device. The best solution is to use **your own** mail server for [Delta Chat](https://delta.chat). The application is available for all popular desktop and mobile systems.

If your conversation partner doesn't use Delta Chat, it will be just an ordinary email correspondence for him.

## Typical data leaks when using alien servers
1. IP once per minute. Helps determine your location: at home, away from home, at work.
2. The content of your messages.
3. Meta-information: with whom and when you communicated, even if you use encryption.

## Features of Delta.Chat

- Regular email client with all the features of IM.
- Reliable end-to-end encryption (e2e), provided a personal [email server]({{< ref "email.md" >}}) is used by both interlocutors or a personal key exchange, such as via QR code.
- Can use any email server, but then you lose control over the meta-information and [risk](https://s.zholnay.name/@kirill/106351532683026396) key-swapping [man-in-the-middle attack](https://en.wikipedia.org/wiki/Man-in-the-middle_attack).
- Slightly slower than usual messengers
- First message is not encrypted because public encryption keys are sent with it.
- There are problems with sending files > 5-7MB.
- There are no convenient channels (chats for mass discussions and sending out information). We recommend using [a decentralized social network]({{< ref "pleroma.md">}}).