---
title: "E-mail"
date: 2023-01-11T17:10:29+03:00
description: >
  Self-hosted e-mail service.
---

E-mail is a time-tested protocol that needs no introduction. A personal mail server will provide special privacy for all correspondence and is useful for registering in online services and personal correspondence, especially for [Delta Chat]({{< ref "delta-chat.md" >}}).

## Authentication

Users from the "users" tab of your app are used.

### Connection configuration

Login must the username with the domain. For example, `user@domain.tld`.

#### SMTP
SMTP Server: `your domain`

SMTP Port: 587

Authentication: STARTLS

#### IMAP

IMAP Server: `your domain`

IMAP Port: 143

Authentication: STARTLS


## Alias to addresses.
Messages for `user+alias@domain.com` will come to `user@domain.com`.

## Filter directories
The message for `user-dir@domain.com` will create a `dir` directory in the `user@domain.com` mailbox. All mail for `user-dir@domain.com` will arrive in the `dir` directory.

## Web interface

It may seem undeveloped or outdated to some. But it has the advantage of simplicity and small amount of code and bugs, which increases security. But it is better to use email clients and disable the web interface in SelfPrivacy App. This will reduce the attack surface and the risks of hacking.

## Recommended email clients

- [Mozilla Thunderbird](https://www.thunderbird.net) (GNU/Linux, Windows, MacOS, Android)
- [FairEmail](https://f-droid.org/packages/eu.faircode.email/) (Android)

## Tips
- Email over 50 years old. In IT, it's a sign of technology maturity and reliability.
- Email, the most popular way to get infected with viruses, after installing them yourself with unlicensed software and cracks.
- Beware of phishing (fraudulent letters), it can rob you of your savings and control over your digital life.
- Create filter directories for different purposes. This will help protect against phishing and clogging your inbox. Examples:
    - `user-w@domain.com` - for registering with web services
    - `user-shops` - for web-stores
    - `user-pay` - payment systems
    - `user-forum` - forum notifications
- Use aliases for questionable services or one-time needs, such as `user+tmp@domain.com`. By aliases convenient to filter and mass delete mails. It is also convenient to find out exactly where your mail was leaked from.
