---
title: "Часто задаваемые вопросы"
linkTitle: "ЧаВо"
date: 2023-03-13T
weight: 2
description: >
    Частые вопросы о проекте
---

## Что такое self-host сервисы и в чем их преимущества?

Когда мы пользуемся централизованными сервисами, такими как популярные социальные сети, мы доверяем администраторам ресурса, хранящего нашу переписку, наши фотографии и даже самые важные секреты, сказанные в чате с близкими людьми. Мы позволяем анализировать наши интересы и музыкальные предпочтения, получать на их основе таргетированную рекламу и, скорее всего, участвовать в безымянных программах анализа аудитории и разного рода слежке.

Self-hosted - это термин, означающий, что онлайн-сервис создается собственными силами. Ключ к этому подходу заключается в том, что у вас есть независимая копия программного обеспечения на вашем сервере, без участия третьей стороны, управляющей сервисом. Чтобы быть администратором, вам не нужно быть программистом и разбираться во всех тонкостях внутренней работы серверного приложения, т.е. сервиса. Как правило, разработчики приложений, не зависящие от головного офиса и его рекламных трекеров, стараются сделать сервис как можно более понятным и простым в использовании.

Популярные примеры - саморазмещаемые серверы электронной почты, мессенджеры, такие как XMPP или Matrix, а также VPN-решения. Если вы работали в крупной организации, вы наверняка видели отдельный почтовый сервис на домене компании, а также, вероятно, сталкивались с корпоративными мессенджерами. Все это - самостоятельные хостинги, но не ваши, а компании, в которой вы работали. Зачем компании нужна собственная электронная почта и мессенджер? Ответ прост: чтобы сотрудники могли общаться и хранить секреты компании в собственных руках, под собственным контролем.

Если вы считаете, что не доверяете компаниям, хотите держать свои данные под собственным контролем или просто не желаете укреплять монопольное положение на рынке информационных технологий, самостоятельный хостинг - для вас.

## Могу ли я доверять своему хостинг-провайдеру?

Все мы сталкивались с тем, что нас отключают от интернета из-за просроченных платежей или отключают электричество в доме из-за технических неполадок где-то в доме или городе. Поэтому, чтобы обеспечить стабильный онлайн-сервис, обращаются к хостинг-провайдерам - специальным компаниям, которые предоставляют компьютерные мощности в аренду и обязуются сделать все возможное для их стабильной работы: резервные схемы электропитания оборудования на случай аварий, резервные магистрали для подключения к интернету, а также защита от землетрясений, пожаров и наводнений по последнему слову науки и техники.

Возникает резонный вопрос: можно ли доверять этим услугам, ведь все данные, хранящиеся на арендованном сервере, это данные, хранящиеся на дисках провайдера. Однозначного ответа на этот вопрос нет, поскольку по запросу правоохранительных органов из юрисдикции провайдера ваши данные наверняка будут переданы без лишних вопросов. Но... часто ли у вас возникают проблемы с законом? А с законодательством иностранных государств? 
Если пойти дальше в ключей паранойи, ваш сервер - это самое сильное звено в инфраструктуре. Гораздо страшнее пользоваться смартфоном, умными колонками и другими электронными устройствами, содержимое которых - terra incognita, и в которых все доверие основано исключительно на маркетинге продавцов и наших укоренившихся привычках. У хостинг-провайдеров сотни, тысячи, а иногда и миллионы виртуальных машин. Одна из них будет вашей. Стоит ли беспокоиться? Скорее всего, нет.

## Хостер просит мой паспорт, что мне делать?

В настоящее время инфраструктура SelfPrivacy полагается на возможности хостинга Hetzner. При регистрации хостинг-провайдер просит предъявить удостоверение личности. Это защищает их от спамеров. Кроме того, европейская юрисдикция требует знать своего клиента (KYC).

Предоставление фотографий или ксерокопий документов кому бы то ни было в Интернете - это плохая практика, которую мы осуждаем. Но тысячи пользователей и даже мы ручаемся за надежность Hetzner. Они существуют уже много лет и имеют хорошую репутацию. Считайте, что вы регистрируетесь по номеру телефона, который в большинстве стран также связан с паспортными данными. Однако со своей стороны, мы ищем альтернативные решения этого вопроса.

## Защитит ли селфхостед меня от ФБР, ФСБ, Mi6 и их коллег?

Мы делаем все возможное, чтобы сохранить ваши данные в технической целостности. Но ваш хостинг должен соответствовать законам своей юрисдикции. Мы выбираем хостинг в настолько лояльной и законобоязненной юрисдикции, насколько это возможно. Поэтому, если вы не вовлечены в преступную деятельность, такую как торговля наркотиками, незаконное порно, терроризм и тому подобное, вашим данным вряд ли что-то будет угрожать.

## Могу ли я установить SelfPrivacy на свое домашнее оборудование?

К сожалению, нет. Но это одна из функций, которую мы планируем внедрить в будущих обновлениях.

## Зарабатываем ли мы на пользователях?

Нет, мы не зарабатываем на пользователях. У нас нет соглашений с интернет-провайдерами, мы не используем рекламу или аналитику в приложении.

## В чем смысл некоммерческого проекта?

В атмосфере агрессивного потребительства, когда только истории об эффективном бизнесе продаются как горячие пирожки, некоммерческие проекты вызывают осторожность. Главный мотив SelfPrivacy, которым руководствуется наша команда, - сделать пользование интернетом немного комфортнее, немного проще и - самое главное - немного приватнее. Приватность - это неотъемлемое право человека, которое позволяет нам чувствовать себя субъектами, независимыми личностями. Мы делаем публичный проект, чтобы черпать вдохновение для новых функций и искать ошибки не силами нескольких человек, а используя ресурсы неограниченной аудитории. В конце концов, почему музыкант пишет мелодии, а художник создает картины? Кроме того, разработка бесплатного решения, способного вывести пользователей на новый уровень конфиденциальности, - дело чести. А у самураев нет цели, есть только путь.

## Почему мы выбираем провайдеров?

Есть несколько критериев, которыми мы руководствуемся при выборе провайдера:

1. Наличие REST API, который управляет созданием VPS. В противном случае SelfPrivacy не сможет автоматически создать и настроить сервер, и большая часть работы ляжет на плечи пользователя. Также не будет работать автоматическое расширение диска (когда объем данных на вашем сервере растет и требует больше места);
2. Качество обслуживания;
3. Цена.

Мы хотели бы добавить поддержку новых хостинг-провайдеров, но на данный момент все альтернативы не поддерживают нужные нам функции или исключены по другим веским причинам. У Hetzner слабая служба поддержки, но у них хорошая сеть и отличная цена. Их конкуренты значительно дороже и имеют сомнительное отношение к конфиденциальности.

Те, кто не просит паспорт или другое существенное подтверждение личности, обычно создают проблемы для почтового трафика - с них рассылается спам, либо происходит нечто подобное. В связи с этим на многих хостингах исходящая электронная почта блокируется, и вам нужно написать в службу поддержки, чтобы ее разблокировали. Это сильно нарушает процесс полностью автоматической настройки сервера SelfPrivacy.

## Что используем для электронной почты?

На развернутом сервере следующие компоненты отвечают за отправку, получение и фильтрацию электронной почты:

- Postfix - SMTP-сервер;
- Dovecot 2 - IMAP сервер;
- Rspamd - SPAM-фильтр.


## Почему стоит использовать CloudFlare?

Cloudlare надежен и бесплатен. Вероятно, они собирают данные, иначе трудно объяснить, зачем бесплатно проксировать чужой трафик. В нашем случае мы используем его только как DNS-сервер и ничего не проксируем. В будущем мы заменим его собственным DNS, как только решим проблему надежности.

В настоящее время мы тестируем [Yggdrasil](https://yggdrasil-network.github.io/) + [Alfis](https://github.com/Revertron/Alfis), чтобы устранить необходимость в регистраторе доменов и cloudflare.
